Subject: Re: [ippm] [Editorial Errata Reported] RFC8912 (6755)

From: Chris Smiley <[email-masked]>
Date: Mon, 24 Jan 2022 15:06:43 -0800

Greetings,

We are unable to verify this erratum that the submitter marked as editorial.  
Please note that we have changed the “Type” of the following errata 
report to “Technical”.  As Stream Approver, please review and set the 
Status and Type accordingly (see the definitions at 
https://www.rfc-editor.org/errata-definitions/).

You may review the report at: 
https://www.rfc-editor.org/errata/eid6755

Please see https://www.rfc-editor.org/how-to-verify/ for further 
information on how to verify errata reports.

Further information on errata can be found at: 
https://www.rfc-editor.org/errata.php.

Thank you.

RFC Editor/cs

> On Nov 27, 2021, at 1:18 PM, RFC Errata System <[email-masked]> wrote:
> 
> The following errata report has been submitted for RFC8912,
> "Initial Performance Metrics Registry Entries".
> 
> --------------------------------------
> You may review the report below and at:
> https://www.rfc-editor.org/errata/eid6755
> 
> --------------------------------------
> Type: Editorial
> Reported by: Nikolai Malykh <[email-masked]>
> 
> Section: 5.3.5
> 
> Original Text
> -------------
> 5.3.5.  Runtime Parameters and Data Format
> 
>   Src:  The IP address of the host in the Src Role (format
>      ipv4-address-no-zone value for IPv4 or ipv6-address-no-zone value
>      for IPv6; see Section 4 of [RFC6991]).
> 
> 
> Corrected Text
> --------------
> 5.3.5.  Runtime Parameters and Data Format
> 
>   Runtime Parameters are input factors that must be determined,
>   configured into the measurement system, and reported with the results
>   for the context to be complete.
> 
>   Src:  The IP address of the host in the Src Role (format
>      ipv4-address-no-zone value for IPv4 or ipv6-address-no-zone value
>      for IPv6; see Section 4 of [RFC6991]).
> 
> 
> Notes
> -----
> Skipped paragraph.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party  
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC8912 (draft-ietf-ippm-initial-registry-16)
> --------------------------------------
> Title               : Initial Performance Metrics Registry Entries
> Publication Date    : November 2021
> Author(s)           : A. Morton, M. Bagnulo, P. Eardley, K. D'Souza
> Category            : PROPOSED STANDARD
> Source              : IP Performance Measurement
> Area                : Transport
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: <[email-masked]>
Date: Tue, 25 Jan 2022 14:21:49 +0000

Thanks to Nikolai for this.
 I think it's a reasonable editorial change to add the proposed sentence, for consistency with the other entries for the Performance Metrics Registry that are defined in this RFC.

Best wishes,
Phil

> -----Original Message-----
> From: Chris Smiley <[email-masked]>
> Sent: 24 January 2022 23:07
> To: [email-masked]; Zaheduzzaman Sarker
> <[email-masked]>
> Cc: RFC Errata System <[email-masked]>; [email-masked]; MORTON
> JR., AL <[email-masked]>; [email-masked]; [email-masked]; Eardley,PL,Philip,TUD1
> R <[email-masked]>; [email-masked]
> Subject: Re: [Editorial Errata Reported] RFC8912 (6755)
> 
> [You don't often get email from [email-masked]. Learn why this is important at
> http://aka.ms/LearnAboutSenderIdentification.]
> 
> Greetings,
> 
> Please note that we have changed the "Type" of the following errata report to
> "Technical".  As Stream Approver, please review and set the Status and Type
> accordingly (see the definitions at
> https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.rfc-
> editor.org%2Ferrata-
> definitions%2F&amp;data=04%7C01%7Cphilip.eardley%40bt.com%7Cfb8814f4a67
> c48aa144608d9df8e3e5c%7Ca7f356889c004d5eba4129f146377ab0%7C0%7C0%
> 7C637786624889069552%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwM
> DAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=
> CJ4RN%2FKZt6UYto4EAY1G3Wu3riKRqFW8NFLKmAQs34c%3D&amp;reserved
> =0).
> 
> https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.rfc-
> editor.org%2Ferrata%2Feid6755&amp;data=04%7C01%7Cphilip.eardley%40bt.com
> %7Cfb8814f4a67c48aa144608d9df8e3e5c%7Ca7f356889c004d5eba4129f146377a
> b0%7C0%7C0%7C637786624889069552%7CUnknown%7CTWFpbGZsb3d8eyJW
> IjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C30
> 00&amp;sdata=OHy05pZaRETzu6BBt1hUK5QxOogAcak8BXESXVMNjpU%3D&a
> mp;reserved=0
> 
> Please see
> https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.rfc-
> editor.org%2Fhow-to-
> verify%2F&amp;data=04%7C01%7Cphilip.eardley%40bt.com%7Cfb8814f4a67c48a
> a144608d9df8e3e5c%7Ca7f356889c004d5eba4129f146377ab0%7C0%7C0%7C63
> 7786624889069552%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLC
> JQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=BTueJ
> 1EQlswqawvNvSj1eW3mJtcZ1Z9tua3%2FkDCtyOw%3D&amp;reserved=0 for
> further information on how to verify errata reports.
> 
> https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.rfc-
> editor.org%2Ferrata.php&amp;data=04%7C01%7Cphilip.eardley%40bt.com%7Cfb8
> 814f4a67c48aa144608d9df8e3e5c%7Ca7f356889c004d5eba4129f146377ab0%7C0
> %7C0%7C637786624889069552%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4
> wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&am
> p;sdata=sdmFLvY5ojS4mXppR9YandoaE%2Bls9v1BMyuPzT%2B9%2FQU%3D&a
> mp;reserved=0.
> 
> Thank you.
> 
> RFC Editor/cs
> 
> > The following errata report has been submitted for RFC8912, "Initial
> > Performance Metrics Registry Entries".
> >
> > https://eur02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.
> > rfc-editor.org%2Ferrata%2Feid6755&amp;data=04%7C01%7Cphilip.eardley%40
> >
> bt.com%7Cfb8814f4a67c48aa144608d9df8e3e5c%7Ca7f356889c004d5eba4129f14
> 6
> >
> 377ab0%7C0%7C0%7C637786624889069552%7CUnknown%7CTWFpbGZsb3d8
> eyJWIjoiMC
> >
> 4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&a
> mp;sd
> >
> ata=OHy05pZaRETzu6BBt1hUK5QxOogAcak8BXESXVMNjpU%3D&amp;reserved
> =0
> >
> > use "Reply All" to discuss whether it should be verified or rejected.
> > When a decision is reached, the verifying party can log in to change
> > the status and edit the report, if necessary.
> >

---

From: "MORTON JR., AL" <[email-masked]>
Date: Tue, 25 Jan 2022 17:07:46 +0000

+1, this might appear to be a "lot of text", but it is a consistency change = Editorial.

The first place we might fix this is in the related registry entries themselves.
Al

> From: [email-masked] <[email-masked]>
> Sent: Tuesday, January 25, 2022 9:22 AM
> To: [email-masked]; [email-masked];
> [email-masked]
> Cc: [email-masked]; [email-masked]; MORTON JR., AL
> <[email-masked]>; [email-masked]; D'SOUZA, KEVIN L <[email-masked]>;
> [email-masked]
> Subject: RE: [Editorial Errata Reported] RFC8912 (6755)
> 
>  I think it's a reasonable editorial change to add the proposed sentence, for
> consistency with the other entries for the Performance Metrics Registry that
> are defined in this RFC.
> 
> Best wishes,
> Phil
> 
> https://urldefense.com/v3/__http://aka.ms/LearnAboutSenderIdentification__;!!B
> hdT!w_DS_ZFaIvqmgq6Y6w6-nvDvuWysC7zGe73iUxIFA1ZX1xhZGeDqJuZFloBf$ .]
> >
> > Greetings,
> >
> https://urldefense.com/v3/__https://eur02.safelinks.protection.outlook.com/?ur
> l=https*3A*2F*2Fwww.rfc-__;JSUl!!BhdT!w_DS_ZFaIvqmgq6Y6w6-
> nvDvuWysC7zGe73iUxIFA1ZX1xhZGeDqJim04Hqi$
> > editor.org%2Ferrata-
> https://urldefense.com/v3/__https://eur02.safelinks.protection.outlook.com/?ur
> l=https*3A*2F*2Fwww.rfc-__;JSUl!!BhdT!w_DS_ZFaIvqmgq6Y6w6-
> nvDvuWysC7zGe73iUxIFA1ZX1xhZGeDqJim04Hqi$
> https://urldefense.com/v3/__https://eur02.safelinks.protection.outlook.com/?ur
> l=https*3A*2F*2Fwww.rfc-__;JSUl!!BhdT!w_DS_ZFaIvqmgq6Y6w6-
> nvDvuWysC7zGe73iUxIFA1ZX1xhZGeDqJim04Hqi$
> > editor.org%2Fhow-to-
> https://urldefense.com/v3/__https://eur02.safelinks.protection.outlook.com/?ur
> l=https*3A*2F*2Fwww.rfc-__;JSUl!!BhdT!w_DS_ZFaIvqmgq6Y6w6-
> nvDvuWysC7zGe73iUxIFA1ZX1xhZGeDqJim04Hqi$
> https://urldefense.com/v3/__https://eur02.safelinks.protection.outlook.com/?ur
> l=https*3A*2F*2Fwww__;JSUl!!BhdT!w_DS_ZFaIvqmgq6Y6w6-
> nvDvuWysC7zGe73iUxIFA1ZX1xhZGeDqJnVEPRnG$ .